# Test: Duplicate triggers within same agent
# Expected: FAIL
# Error code: custom
# Error path: agent.menu[2].trigger
# Error message: agent.menu[].trigger duplicates "help" within the same agent

agent:
  metadata:
    id: duplicate-triggers
    name: Duplicate Triggers
    title: Duplicate
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: help
      description: First help command
      action: display_help
    - trigger: list-tasks
      description: List tasks
      action: list_tasks
    - trigger: help
      description: Duplicate help command
      action: show_help
